Subject: RE: snmpconf

From: Steve Moulton <[email-masked]>
Date: Fri, 03 Nov 2000 18:12:11 -0500

--------

Re: BOUNCE [email-masked]: Non-member submission from [Mike Ayers <[email-masked]>]

This message bounced as Mike submitted it from other than
his usual posting address.  I have added
Mike Ayers <[email-masked]> to the "can post, but does not
receive messages" list.  

On Friday, November 3 2000, [email-masked] wrote:

> >From [email-masked]  Fri Nov  3 17:32:48 2000
> Received: from web10704.mail.yahoo.com (web10704.mail.yahoo.com [216.136.130.
212])
> 	by seymour39.SNMP.COM (8.9.3/m.000221) with SMTP id RAA13024
> 	for <[email-masked]>; Fri, 3 Nov 2000 17:32:47 -0500 (EST)
> Message-ID: <[email-masked]>
> Received: from [198.175.229.251] by web10704.mail.yahoo.com; Fri, 03 Nov 2000
 14:32:16 PST
> Date: Fri, 3 Nov 2000 14:32:16 -0800 (PST)
> From: Mike Ayers <[email-masked]>
> Reply-To: [email-masked]
> Subject: RE: snmpconf
> To: [email-masked]
> MIME-Version: 1.0
> Content-Type: text/plain; charset=us-ascii
> 
> 
> > From: Pablo Halpern [mailto:[email-masked]]
> > 
> > 
> > On Wed, 25 Oct 2000 17:58:47 -0500, [email-masked] wrote:
> >  >{8.1.1.3. exists()} 9.) This function and many following
> >  >return 1 for success and 0 for failure, the reverse of the C
> >  >convention.
> > 
> > Not so. In a boolean context, C defines false as zero and true as 1. 
> > (Actually, any non-zero value is true). The exists() function 
> > (and most of 
> > the other boolean functions) do not return success and 
> > failure (which are 
> > not defined in C) but true or false. If you were to write:
> 
> 	It appears I didn't double check this when writing.  I intended to
> refer to {8.1.1.4.  setint()}, which uses the same convention as
> exists().  This, I now recall, is a two-edged sword in C, because the
> conventions for predicates and exit() are contradictory.  You have,
> however, clarified for me that some will wish to do 'if
> (setint("1.3.6.1.4.1...", 2)) {/* success clause */} else {/* failure
> clause */}', so it appears my point is unmade.
> 
> 
> /|/|ike
> 
> 
> __________________________________________________
> Do You Yahoo!?
> >From homework help to love advice, Yahoo! Experts has your answer.
> http://experts.yahoo.com/

---
Steve Moulton        SNMP Research, Inc            voice: +1 865 573 1434
Sr Software Engineer 3001 Kimberlin Heights Rd.    fax: +1 865 573 9197
[email-masked]     Knoxville, TN 37920-9716 USA  http://www.snmp.com
List manager, bottle washer, utility player, finder of lost things